## libcommons-compress-java 1.27.1

=== test/requirements.txt ===
arrow
numpy;platform_machine=="x86_64" and python_version<"3.11"
pendulum;sys_platform=="linux" and platform_machine=="x86_64"
psutil;sys_platform=="linux" or sys_platform == "macos"
pytest
pytz
typing_extensions;python_version<"3.8"
xxhash==1.4.3;sys_platform=="linux" and python_version<"3.9" # creates non-compact ASCII for test_str_ascii

## libcommons-compress-java 1.2

=== debian/changelog ===
libcommons-compress-java (1.2-1ubuntu1) precise; urgency=low

  * Updates to support Ubuntu MIR (LP: #876413):
    - d/build.xml: Provide targets to compile and execute test suite.
    - d/control: Add B-D's on junit and ant-optional to support testing.
    - d/rules: Add ant-junit and junit to DEB_JARS for testing.
  * d/control: Bumped Standards-Version: 3.9.2, no changes.
  * d/copyright: Updated for revised field names.

 -- James Page <james.page@ubuntu.com>  Wed, 19 Oct 2011 09:59:20 +0100

libcommons-compress-java (1.2-1) unstable; urgency=low

  * New upstream release
  * Clean up Depends and Suggests fields.
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Sun, 07 Aug 2011 01:56:15 +0200

libcommons-compress-java (1.0-1) unstable; urgency=low

  * First upstream release (Closes: #542603)
  * Update old sandbox URLs.
  * Convert debian/copyright to dep5 format and change license of debian/* to
    Apache-2.0.
  * Update get-orig-source target in debian/rules.
  * Switch to default-jdk.
  * Change Section: java.
  * Update Standards-Version: 3.8.3.
  * Use maven-repo-helper to start transition to Maven.

 -- Torsten Werner <twerner@debian.org>  Sun, 20 Sep 2009 11:16:42 +0200

libcommons-compress-java (0~svn604876-1) unstable; urgency=low

  * Initial release (Closes: #456662)

 -- Torsten Werner <twerner@debian.org>  Mon, 17 Dec 2007 15:17:09 +0100

=== debian/control ===
Source: libcommons-compress-java
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>
Build-Depends: ant,
               ant-optional,
               cdbs,
               debhelper (>= 5),
               default-jdk,
               junit,
               maven-repo-helper
Standards-Version: 3.9.2
Homepage: http://commons.apache.org/compress/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libcommons-compress-java/
Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/libcommons-compress-java

Package: libcommons-compress-java
Architecture: all
Depends: ${misc:Depends}
Description: Java API for working with tar, zip and bzip2 files
 Commons Compress defines an API for working with tar, zip and bzip2 files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME         := /usr/lib/jvm/default-java
DEB_ANT_BUILDFILE := debian/build.xml
DEB_JARS          := ant-junit junit
PACKAGE           := commons-compress

install/lib$(PACKAGE)-java:: 
	mh_installpoms -plib$(PACKAGE)-java
	mh_installjar -plib$(PACKAGE)-java -l pom.xml $(PACKAGE).jar

get-orig-source:
	uscan --force-download --download-version $(DEB_UPSTREAM_VERSION) --rename

## libcommons-compress-java 1.4.1

=== debian/changelog ===
libcommons-compress-java (1.4.1-2) unstable; urgency=low

  * Team upload.
  
  [ Miguel Landaeta]
  * Promote dependency on libxz-java from Suggests to Depends.
    (Closes: #680874)

  [ tony mancill ]
  * Correct broken Vcs-Svn URL.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 08 Jul 2012 15:59:26 -0430

libcommons-compress-java (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. CVE-2012-2098 is fixed. (Closes: #674448).
  * Replace B-D on junit with junit4.
  * Add B-D on libxz-java.
  * Fix clean target to allow twice in a row builds.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 17 Jun 2012 18:08:36 -0430

libcommons-compress-java (1.2-2) unstable; urgency=low

  * Team upload.

  [ James Page ]
  * Enablement of JUnit test suite (LP: #876413) (Closes: 646090):
    - d/build.xml: Provide targets to compile and execute test suite.
    - d/control: Add B-D's on junit and ant-optional to support testing.
    - d/rules: Add ant-junit and junit to DEB_JARS for testing.
  * d/copyright: Updated for revised field names.

  [ Damien Raude-Morvan ]
  * d/control: Bumped Standards-Version: 3.9.3, no changes.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 30 May 2012 01:26:41 +0200

=== debian/control ===
Source: libcommons-compress-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>
Build-Depends: ant,
               ant-optional,
               cdbs,
               debhelper (>= 5),
               default-jdk,
               junit4,
               maven-repo-helper,
               libxz-java
Standards-Version: 3.9.3
Homepage: http://commons.apache.org/compress/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libcommons-compress-java/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libcommons-compress-java

Package: libcommons-compress-java
Architecture: all
Depends: ${misc:Depends}, libxz-java
Description: Java API for working with tar, zip and bzip2 files
 Commons Compress defines an API for working with tar, zip and bzip2 files.

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,16 @@
 
 JAVA_HOME         := /usr/lib/jvm/default-java
 DEB_ANT_BUILDFILE := debian/build.xml
-DEB_JARS          := ant-junit junit
+DEB_JARS          := ant-junit junit4 xz
 PACKAGE           := commons-compress
 
 install/lib$(PACKAGE)-java:: 
 	mh_installpoms -plib$(PACKAGE)-java
 	mh_installjar -plib$(PACKAGE)-java -l pom.xml $(PACKAGE).jar
 
+clean::
+	mh_clean
+	-rm -rf commons-compress.jar
+
 get-orig-source:
 	uscan --force-download --download-version $(DEB_UPSTREAM_VERSION) --rename

## libcommons-compress-java 1.5

=== debian/changelog ===
libcommons-compress-java (1.5-2) unstable; urgency=low

  * Team upload.

  [ Emmanuel Bourg ]
  * Use canonical URLs for the Vcs-* fields
  * Added the upstream changelog

  [ tony mancill ]
  * Apply patch to d/rules to include ant-junit4.jar on build classpath.
    - Thank you to James Page. (Closes: #712589)

 -- tony mancill <tmancill@debian.org>  Mon, 17 Jun 2013 15:32:55 -0700

libcommons-compress-java (1.5-1) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 17 May 2013 07:53:06 -0700

libcommons-compress-java (1.5-1~exp1) experimental; urgency=low

  * New upstream release.
  * Add Emmanuel Bourg to Uploaders.
  * d/control: Bump Standards-Version to 3.9.4 (no changes needed).
  * Update to the package description (Closes: #682169).

  [ Jakub Adam ]
  * Add xz.jar to manifest Class-Path.
    - fixes lintian-reported warning missing-classpath.
  * Ensure backwards compatible bytecode is built (Closes: #688118).
  * Add OSGi metadata into jar manifest.
  * Add Jakub Adam to Uploaders.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 Mar 2013 19:42:09 +0100

=== debian/control ===
Source: libcommons-compress-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>, Jakub Adam <jakub.adam@ktknet.cz>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends: ant,
               ant-optional,
               cdbs,
               debhelper (>= 5),
               default-jdk,
               junit4,
               maven-repo-helper,
               javahelper,
               libxz-java
Standards-Version: 3.9.4
Homepage: http://commons.apache.org/compress/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libcommons-compress-java/
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libcommons-compress-java

Package: libcommons-compress-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Description: Java API for working with compression and archive formats
 Apache Commons Compress defines a Java API for working with
 compression and archive formats. These include: bzip2, gzip, pack200,
 xz and ar, cpio, jar, tar, zip, dump.

## libcommons-compress-java 1.6

=== debian/changelog ===
libcommons-compress-java (1.6-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.9.5 (no changes)
  * Build depend on debhelper >= 9
  * Removed the unused debian/orig-tar.sh script

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 02 Nov 2013 13:55:47 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: ant,
                ant-optional,
                cdbs,
-               debhelper (>= 5),
+               debhelper (>= 9),
                default-jdk,
                junit4,
                maven-repo-helper,
                javahelper,
                libxz-java
-Standards-Version: 3.9.4
-Homepage: http://commons.apache.org/compress/
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libcommons-compress-java/
 Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libcommons-compress-java
+Homepage: http://commons.apache.org/compress/
 
 Package: libcommons-compress-java
 Architecture: all

## libcommons-compress-java 1.8.1

=== debian/changelog ===
libcommons-compress-java (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Removed 01-optional-xz-dependency.patch
  * Updated the OSGi metadata
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 May 2014 18:13:11 +0200

libcommons-compress-java (1.8-2) unstable; urgency=medium

  * Patched the pom to Mark the dependency on org.tukaani:xz as optional
    (Closes: #741754)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Mar 2014 17:12:29 +0100

libcommons-compress-java (1.8-1) unstable; urgency=medium

  * New upstream release
  * Updated the OSGi metadata
  * The dependency on libxz-java is now suggested and no longer required

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 13 Mar 2014 08:37:01 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                junit4,
                maven-repo-helper,
                javahelper,
-               libxz-java
+               libxz-java (>= 1.5)
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libcommons-compress-java/
 Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libcommons-compress-java
@@ -20,7 +20,8 @@
 
 Package: libcommons-compress-java
 Architecture: all
-Depends: ${misc:Depends}, ${java:Depends}
+Depends: ${misc:Depends}
+Suggests: libxz-java (>= 1.5)
 Description: Java API for working with compression and archive formats
  Apache Commons Compress defines a Java API for working with
  compression and archive formats. These include: bzip2, gzip, pack200,

## libcommons-compress-java 1.9

=== debian/changelog ===
libcommons-compress-java (1.9-1) unstable; urgency=medium

  * New upstream release
  * Updated the OSGi metadata
  * Standards-Version updated to 3.9.6 (no changes)
  * Updated the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 10 Oct 2014 16:58:50 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                maven-repo-helper,
                javahelper,
                libxz-java (>= 1.5)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libcommons-compress-java/
-Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libcommons-compress-java
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/libcommons-compress-java.git
+Vcs-Git: git://anonscm.debian.org/pkg-java/libcommons-compress-java.git
 Homepage: http://commons.apache.org/compress/
 
 Package: libcommons-compress-java

## libcommons-compress-java 1.10

=== debian/changelog ===
libcommons-compress-java (1.10-2) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream to address test failure with Java 8.
    (Closes: #814583)
  * Standards-Version updated to 3.9.7 (no changes)

 -- tony mancill <tmancill@debian.org>  Mon, 15 Feb 2016 20:29:42 -0800

libcommons-compress-java (1.10-1) unstable; urgency=medium

  * New upstream release
  * Updated the OSGi metadata

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 31 Aug 2015 23:22:38 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                maven-repo-helper,
                javahelper,
                libxz-java (>= 1.5)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/libcommons-compress-java.git
 Vcs-Git: git://anonscm.debian.org/pkg-java/libcommons-compress-java.git
 Homepage: http://commons.apache.org/compress/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/javahelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME         := /usr/lib/jvm/default-java
DEB_ANT_BUILDFILE := debian/build.xml
DEB_JARS          := ant-junit4 ant-junit junit4 xz
PACKAGE           := commons-compress

install/lib$(PACKAGE)-java::
	mh_installpoms -plib$(PACKAGE)-java
	mh_installjar -plib$(PACKAGE)-java -l pom.xml $(PACKAGE).jar
	dh_installchangelogs  -plib$(PACKAGE)-java RELEASE-NOTES.txt

clean::
	mh_clean
	-rm -rf commons-compress.jar

get-orig-source:
	uscan --force-download --download-version $(DEB_UPSTREAM_VERSION) --rename

=== debian/watch ===
version=3
http://archive.apache.org/dist/commons/compress/source/commons-compress-([\d.]+)-src\.tar\.gz

## libcommons-compress-java 1.11

=== debian/changelog ===
libcommons-compress-java (1.11-1) unstable; urgency=medium

  * New upstream release
    - Removed the Java 8 compatibility patch (fixed upstream)
  * Build with maven-debian-helper instead of ant.
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 20 Apr 2016 16:24:25 +0200

=== debian/control ===
Source: libcommons-compress-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>, Jakub Adam <jakub.adam@ktknet.cz>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends: debhelper (>= 9),
               default-jdk,
               junit4,
               javahelper,
               libcommons-parent-java,
               libmaven-bundle-plugin-java,
               libmaven-javadoc-plugin-java,
               libxz-java (>= 1.5),
               maven-debian-helper
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/libcommons-compress-java.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libcommons-compress-java.git
Homepage: http://commons.apache.org/compress/

Package: libcommons-compress-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: Java API for working with compression and archive formats
 Apache Commons Compress defines a Java API for working with
 compression and archive formats. These include: bzip2, gzip, pack200,
 xz and ar, cpio, jar, tar, zip, dump.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=maven --with javahelper

override_dh_installchangelogs:
	dh_installchangelogs -- RELEASE-NOTES.txt

get-orig-source:
	uscan --force-download --download-current-version --rename

## libcommons-compress-java 1.13

=== debian/changelog ===
libcommons-compress-java (1.13-2) unstable; urgency=medium

  * Team upload.
  * Apply patch for CVE-2018-1324 (Closes: #893174)
  * Use debhelper 11
  * Update Homepage
  * Update debian/watch to repack with xz compression
  * Drop get-orig-source target from debian/rules
  * Bump Standards-Version to 4.1.4

 -- tony mancill <tmancill@debian.org>  Sun, 08 Apr 2018 20:58:50 -0700

libcommons-compress-java (1.13-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 06 Jan 2017 00:59:52 +0100

libcommons-compress-java (1.12-1) unstable; urgency=medium

  * New upstream release
    - New build dependency on libpowermock-java
    - Ignore the test failures related to the powermock/cglib interaction
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 21 Dec 2016 15:38:24 +0100

=== debian/control ===
Source: libcommons-compress-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Torsten Werner <twerner@debian.org>,
 Jakub Adam <jakub.adam@ktknet.cz>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 javahelper,
 junit4,
 libcommons-parent-java,
 libmaven-bundle-plugin-java,
 libmaven-javadoc-plugin-java,
 libpowermock-java,
 libxz-java (>= 1.5),
 maven-debian-helper
Standards-Version: 4.1.4
Vcs-Git: https://anonscm.debian.org/git/pkg-java/libcommons-compress-java.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libcommons-compress-java.git
Homepage: https://commons.apache.org/proper/commons-compress/

Package: libcommons-compress-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: Java API for working with compression and archive formats
 Apache Commons Compress defines a Java API for working with
 compression and archive formats. These include: bzip2, gzip, pack200,
 xz and ar, cpio, jar, tar, zip, dump.

=== debian/watch ===
version=4
opts="compression=xz,\
        repack" \
        http://archive.apache.org/dist/commons/compress/source/commons-compress-([\d.]+)-src\.tar\.gz

## libcommons-compress-java 1.18

=== debian/changelog ===
libcommons-compress-java (1.18-3) unstable; urgency=medium

  * Team upload.
  * Add patch for CVE-2019-12402 (Debian: #939610)
  * Refresh whitespace in debian/patches
  * Bump Standards-Version to 4.4.0
  * Use debhelper 12

 -- tony mancill <tmancill@debian.org>  Sun, 15 Sep 2019 10:45:24 -0700

libcommons-compress-java (1.18-2) unstable; urgency=medium

  * Team upload.
  * Remove powermock from B-D. See #875358.
  * Declare compliance with Debian Policy 4.3.0.
  * Skip all the tests.

 -- Markus Koschany <apo@debian.org>  Fri, 01 Mar 2019 23:27:13 +0100

libcommons-compress-java (1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18.
    - Fix CVE-2018-11771.
      When reading a specially crafted ZIP archive, the read method of Apache
      Commons Compress ZipArchiveInputStream can fail to return the correct EOF
      indication after the end of the stream has been reached. When combined
      with a java.io.InputStreamReader this can lead to an infinite stream,
      which can be used to mount a denial of service attack against services
      that use Compress' zip package. Thanks to Salvatore Bonaccorso for the
      report. (Closes: #906301)
  * Declare compliance with Debian Policy 4.2.0.

 -- Markus Koschany <apo@debian.org>  Wed, 22 Aug 2018 21:43:55 +0200

libcommons-compress-java (1.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Removed the CVE-2018-1324 patch (fixed upstream)
    - New build dependency on libmaven-antrun-plugin-java
    - Disabled Brotli support (dependency not in Debian)
    - Disabled Zstandard support (dependency not in Debian)
  * Rebuilt with Java 8 compatibility (Closes: #903774)
  * Standards-Version updated to 4.1.5
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 Jul 2018 13:11:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
  Jakub Adam <jakub.adam@ktknet.cz>,
  Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  default-jdk,
  javahelper,
  junit4,
  libcommons-parent-java,
+ libmaven-antrun-plugin-java,
  libmaven-bundle-plugin-java,
  libmaven-javadoc-plugin-java,
- libpowermock-java,
  libxz-java (>= 1.5),
  maven-debian-helper
-Standards-Version: 4.1.4
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/libcommons-compress-java.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libcommons-compress-java.git
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/java-team/libcommons-compress-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/libcommons-compress-java
 Homepage: https://commons.apache.org/proper/commons-compress/
 
 Package: libcommons-compress-java

## libcommons-compress-java 1.19

=== debian/changelog ===
libcommons-compress-java (1.19-1) unstable; urgency=medium

  * New upstream release
    - Removed the CVE-2019-12402 patch (fixed upstream)
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 27 Jan 2020 12:35:59 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libmaven-javadoc-plugin-java,
  libxz-java (>= 1.5),
  maven-debian-helper
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/libcommons-compress-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libcommons-compress-java
 Homepage: https://commons.apache.org/proper/commons-compress/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with javahelper

override_dh_installchangelogs:
	dh_installchangelogs -- RELEASE-NOTES.txt

## libcommons-compress-java 1.20

=== debian/changelog ===
libcommons-compress-java (1.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.20
  * Refresh patches against new upstream version
  * Specify debhelper compat 12 via debhelper-compat dependency
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Tue, 31 Mar 2020 19:41:01 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jakub Adam <jakub.adam@ktknet.cz>,
  Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  default-jdk,
  javahelper,
  junit4,
@@ -21,6 +21,7 @@
 Vcs-Git: https://salsa.debian.org/java-team/libcommons-compress-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libcommons-compress-java
 Homepage: https://commons.apache.org/proper/commons-compress/
+Rules-Requires-Root: no
 
 Package: libcommons-compress-java
 Architecture: all

## libcommons-compress-java 1.21

=== debian/changelog ===
libcommons-compress-java (1.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.21.
    - Fix CVE-2021-36090, CVE-2021-35517, CVE-2021-35516, CVE-2021-35515:
      Possible denial-of-service attacks.
      (Closes: #991041)
  * Declare compliance with Debian Policy 4.6.0.
  * Switch to debhelper-compat = 13.
  * Refresh the patches.
  * Disable harmony because it depends on obsolete libraries.

 -- Markus Koschany <apo@debian.org>  Mon, 20 Sep 2021 20:23:41 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jakub Adam <jakub.adam@ktknet.cz>,
  Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  default-jdk,
  javahelper,
  junit4,
@@ -17,7 +17,7 @@
  libmaven-javadoc-plugin-java,
  libxz-java (>= 1.5),
  maven-debian-helper
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/java-team/libcommons-compress-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libcommons-compress-java
 Homepage: https://commons.apache.org/proper/commons-compress/

## libcommons-compress-java 1.22

=== debian/changelog ===
libcommons-compress-java (1.22-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Updated the Maven rules
  * Standards-Version updated to 4.6.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 15 Dec 2022 11:28:33 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libmaven-javadoc-plugin-java,
  libxz-java (>= 1.5),
  maven-debian-helper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/libcommons-compress-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libcommons-compress-java
 Homepage: https://commons.apache.org/proper/commons-compress/

## libcommons-compress-java 1.23.0

=== debian/changelog ===
libcommons-compress-java (1.23.0-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Updated the Maven rules
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 11 Jun 2023 09:14:08 +0200

## libcommons-compress-java 1.25.0

=== debian/changelog ===
libcommons-compress-java (1.25.0-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Jan 2024 14:24:56 +0100

libcommons-compress-java (1.24.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.24.0
    - CVE-2023-42503 (Closes: #1052065)
  * Refresh patches for new upstream release
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Sat, 16 Sep 2023 16:20:30 -0700

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libmaven-javadoc-plugin-java,
  libxz-java (>= 1.5),
  maven-debian-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/libcommons-compress-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libcommons-compress-java
 Homepage: https://commons.apache.org/proper/commons-compress/

## libcommons-compress-java 1.27.1

=== debian/changelog ===
libcommons-compress-java (1.27.1-2) unstable; urgency=medium

  * Removed the runtime dependency on commons-lang3

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 24 Oct 2024 19:41:30 +0200

libcommons-compress-java (1.27.1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Updated the Maven rules
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 23 Oct 2024 18:33:44 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libmaven-javadoc-plugin-java,
  libxz-java (>= 1.5),
  maven-debian-helper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/libcommons-compress-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libcommons-compress-java
 Homepage: https://commons.apache.org/proper/commons-compress/

=== debian/watch ===
version=4
opts="compression=xz,\
        repack" \
        https://archive.apache.org/dist/commons/compress/source/commons-compress-([\d.]+)-src\.tar\.gz
